import { BucketedUserConfig, DVCLogger } from '@devcycle/types';
import AsyncStorage from '@react-native-async-storage/async-storage';
import { DVCPopulatedUser } from './User';
export declare const StoreKey: {
    Config: string;
    User: string;
    AnonUserId: string;
};
export declare abstract class CacheStore {
    store?: Storage | typeof AsyncStorage;
    logger?: DVCLogger;
    constructor(localStorage?: Storage | typeof AsyncStorage, logger?: DVCLogger);
    private save;
    protected load(storeKey: string): string | null | undefined | any;
    remove(storeKey: string): void;
    saveConfig(data: BucketedUserConfig): void;
    loadConfig(): BucketedUserConfig | null | undefined;
    saveUser(user: DVCPopulatedUser): void;
    loadUser(): DVCPopulatedUser | null | undefined;
    saveAnonUserId(userId: string): void;
    loadAnonUserId(): string | null | undefined;
}
export default CacheStore;
